%define name smeserver-bandwidthd
%define version 2.0.1.2
%define release 20
Summary: bandwidthd is a helpdesk system
Name: %{name}
Version: %{version}
Release: %{release}%{?dist}
Distribution: SME Server
License: GNU GPL version 2
Group: SMEserver/addon
Source: smeserver-bandwidthd-%{version}.tar.xz

BuildArchitectures: noarch
BuildRoot: /var/tmp/%{name}-%{version}-buildroot
BuildRequires: smeserver-devtools
Requires: smeserver-release >= 10.0
Requires: smeserver-apache >= 2.6.0-19
Requires: bandwidthd 
AutoReqProv: no

%description
bandwidthd is an application adapted as a contrib for SMEserver 

%changelog
* Sun Sep 08 2024 fix-e-smith-pkg.sh by Trevor Batley <trevor@batley.id.au> 2.0.1.2-20.sme
- Fix e-smith references in smeserver-bandwidthd [SME: 12732]

* Sat Sep 07 2024 cvs2git.sh aka Brian Read <brianr@koozali.org> 2.0.1.2-19.sme
- Roll up patches and move to git repo [SME: 12338]

* Sat Sep 07 2024 BogusDateBot
- Eliminated rpmbuild "bogus date" warnings due to inconsistent weekday,
  by assuming the date is correct and changing the weekday.

* Tue May 28 2024 Jean-Philippe Pialasse <jpp@koozali.org> 2.0.1.2-18.sme
- expand config and restart on ip-up event [SME: 12697]
  also add external Gateway to monitor

* Tue Dec 27 2022 Jean-Philippe Pialasse <tests@pialasse.com> 2.0.1.2-17.sme
- fix Can't modify constant item in scalar assignment [SME: 12292]

* Fri Dec 02 2022 Jean-Philippe Pialasse <tests@pialasse.com> 2.0.1.2-16.sme
- fix preset disabled [SME: 12251]

* Sat Jul 30 2022 Brian Read <brianr@bjsystems.co.uk> 2.0.1.2-15.sme
- Re-build and link to latest devtools [SME: 11997]

* Mon Jul 25 2022 Jean-Philippe Pialasse <tests@pialasse.com> 2.0.1.2-14.sme
- add to core backup [SME: 11046]
- access syntax for httpd 2.4 [SME: 12037]

* Wed Jun 29 2022 Jean-Philippe Pialasse <tests@pialasse.com> 2.0.1.2-13.sme
- Re-build and link to latest devtools typo for grapCutofff [SME: 11046]
-  /etc/bandwidthd.conf to 0664 [SME: 11046]

* Sun Jun 06 2021 Jean-Philippe Pialasse <tests@pialasse.com> 2.0.1.2-12.sme
- add php74-php-fpm reload-or-restart [SME: 11046]

* Tue Feb 02 2021 Brian Read <brianr@bjsystems.co.uk> 2.0.1.2-11.sme
- Update-Creatlinks-with-systemd-stuff [SME: 11046]

* Tue Feb 02 2021 BogusDateBot
- Eliminated rpmbuild "bogus date" warnings due to inconsistent weekday,
  by assuming the date is correct and changing the weekday.

* Mon Nov 30 2020 Brian Read <brianr@bjsystems.co.uk> 2.0.1.2-10.sme
- Set $version in httpd.conf  [SME: 11046]

* Fri Nov 27 2020 Brian Read <brianr@bjsystems.co.uk> 2.0.1.2-9.sme
- Update createlinks for systemd startup [SME: 11046]
- Update httpd with extra loadmodules

* Tue Oct 20 2020 Brian Read <brianr@bjsystems.co.uk> 2.0.1.2-8.sme
- Initial import into SME10 tree- [SME: 11046]
- Add in link to createlinks to wrapper for Server Manager panel
- Fix up httpd.conf template to call php-fwp

* Sat Dec 17 2016 Jean-Philipe Pialasse <tests@pialasse.com> 2.0.1.2-7.sme
- Re-build and link to latest devtools [SME: 11997]

* Thu Dec 15 2016 Jean-Philipe Pialasse <tests@pialasse.com> 2.0.1.2-6.sme
- Re-build and link to latest devtools one more time too verbose cronjob and unique IP networks [SME: 8536]

* Tue Nov 10 2015 JP Pialasse <tests@pialasse.com> 2.0.1.2-5.sme
  Mon Nov 10 2015 --> Mon Nov 09 2015 or Tue Nov 10 2015 or Mon Nov 16 2015 or ....
- Re-build and link to latest devtoolsed cron too verbose [SME: 8536]
- Re-build and link to latest devtoolsed wont restart with single IP network [SME: 8524]

* Sat Sep 26 2015 stephane de Labrusse <stephdl@de-labrusse.fr> 2.0.1.2-2.sme
- removed typo [SME: 8116]
- Added smeserver-bandwidthd-2.0.1.2.cronmysql.patch

* Mon Jun 16 2014 JP Pialasse <tests@pialasse.com> 2.0.1.2-1.sme
- initial import to SME9 contribs

* Mon Dec 30 2013 JP Pialasse <tests@pialasse.com> 2.0.1.1-6.sme
- add require SSL [SME: 8099]

* Sun Dec 29 2013 JP Pialasse <tests@pialasse.com> 2.0.1.1-4.sme
- Re-build and link to latest devtools missing mysql.init
- Re-build and link to latest devtools http auth error

* Fri Dec 27 2013 JP Pialasse <tests@pialasse.com> 2.0.1.1-2.sme
- few enhancement and bug fixing
- added link in manager

* Thu Dec 26 2013  CONTRIB MAKER <tests@pialasse.com> 2.0.1.1-1.sme
- initial release
- builds from unchanged .tar.gz 

%prep
%setup

%build
perl createlinks

%install
rm -rf $RPM_BUILD_ROOT
(cd root ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)
rm -f %{name}-%{version}-filelist
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT \
     > %{name}-%{version}-filelist

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)


